Summary: A module which implements the PUT and DELETE methods for Apache.
Name: mod_put
Version: 1.3
Release: 2
Group: System Environment/Daemons
URL: http://hpwww.ec-lyon.fr/~vincent/apache/mod_put.html
Source: http://hpwww.ec-lyon.fr/~vincent/apache/mod_put.tar.gz
License: Apache Software License
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: apache-devel
Conflicts: apache < 1.3.22-1
Requires: webserver

%description
mod_put implements the PUT and DELETE client methods for Apache.

%prep
%setup

%build
%{_sbindir}/apxs -c -o %{name}.so %{name}.c

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
install -m755 %{name}.so $RPM_BUILD_ROOT%{_libdir}/apache/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{name}.html
%{_libdir}/apache/*.so

%changelog
* Thu Nov 15 2001 Nalin Dahyabhai <nalin@redhat.com> 1.3-2
- conflict with older versions of the apache package

* Mon May 21 2001 Nalin Dahyabhai <nalin@redhat.com> 1.3-1
- break out from apache package
